<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;

$id = isset($_GET['id']) ? abs((int)$_GET['id']) : false;
$array = DB::$dbs->query("SELECT * FROM album_foto WHERE id = ? LIMIT 1", [$id]);
if ($array-> rowCount() == 0) {
header('location: /');
die();
}
$arr = $array -> fetch();
$title->SetTitle('Фотоальбом - Оценка изображения');

///Подключаем шапку
$title->GetHeader();
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Фотоальбом </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/gallery" rel="v:url" property="v:title">Фотоальбом</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">'.$arr['name'].'</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';

echo '<div class="catSides"><a href="/"><i class="md-format-list-bulleted"></i> Главная </a> - <a href="/gallery">Список альбомов</a> - '.($arr['cid'] != 0 ? '<a href="viewalb.html?id='.$arr['cid'].'">'.$arr['name'].'</a>':'<a href="personal.html?id='.$arr['user_id'].'">'.$arr['name'].'</a>').'</div>';

if (isset($_POST['add'])) {
$type = abs((int)$_POST['type']);
if (empty($type)) {
err('Выберите оценку');
} else {
if (DB::$dbs->querySingle("SELECT COUNT(id) FROM album_rating WHERE user_id = ? AND fid = ?", [$b['id'],$id]) == 0) {
DB::$dbs->query("INSERT INTO album_rating SET user_id = ?, type = ?, fid = ?", [$b['id'],$type,$id]);
DB::$dbs->query("UPDATE `album_foto` SET `rat` = `rat` + ? WHERE `id` = ? LIMIT 1", [$type,$id]);
if ($type>5) {
$gears = '1';
DB::$dbs->query("UPDATE `blogger` SET `gears` = `gears` + ? WHERE `id` = ? LIMIT 1", [$gears,$arr['user_id']]);
}
if ($arr['user_id'] != $b['id']) {
$mess = 'Пользователь [b]'.$b['nick'].'[/b] оценил ваше фото [b]'.$arr['name'].'[/b] на [b]'.$type.'[/b] баллов!';
jurnal($arr['user_id'],$mess,4);
}
echo '<div class="row text_box">Ваш голос принят. Спасибо за оценку!</div>'.($arr['cid'] != 0 ? '
<ul class="nav nav-pills nav-stacked"><li><a href="viewalb.html?id='.$arr['cid'].'"><i class="md-apps"></i> Вернуться назад</a></ul>':'
<ul class="nav nav-pills nav-stacked"><li><a href="personal.html?id='.$arr['user_id'].'"><i class="md-apps"></i> Вернуться назад</a></ul>').'';
///Подключаем меню
$title->GetMenu();
///Подключаем футер
$title->GetFooter();
die();
}
}
}
if (DB::$dbs->querySingle("SELECT COUNT(id) FROM album_rating WHERE user_id = ? AND fid = ?", [$b['id'],$id]) == 0) {
echo '<form action="rating.html?id='.$id.'" method="post"><div class="row text_box">Выберите оценку:<br/><select class="form-control" name="type">';
$for = [1,2,3,4,5,6,7,8,9,10];
foreach($for as $value) {
echo '<option value="'.$value.'">'.$value.'</option>';
}
echo '</select><br/><input type="submit" name="add" class="btn btn-primary" value="Оценить"/></div></form>';
} else {
err('Вы уже оценивали это изображение!');
}

///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>